Confluence

Integrate your application with the Confluence API

🚀 Quickstart

Connect to Confluence with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Confluence.

Authorize Confluence

Go to Connections -> Add Test Connection -> Authorize, then log in to Confluence. Later, you'll let your users do the same directly from your app.

Call the Confluence API

Let's make your first request to the Confluence API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/wiki/rest/api/content" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Confluence Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Confluence REST API Documentation

🧩 Pre-built syncs & actions for Confluence

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
pagesFetches a list of pages from confluenceSync🔗 Github
spacesFetches a list of spaces from confluenceSync🔗 Github

On this page